from django.contrib import admin
from django.urls import include, path

from .views import (api_messages, api_user, auth, index, message, message_page,
                    messages, profile)

urlpatterns = [
    path("", index),
    path("auth/", auth),
    path("messages/", messages),
    path("u/<str:username>/", profile),
    path("m/<str:username>/", message),
    path("msg/<int:message_id>/", message_page),
    path("api/messages/", api_messages),
    path("api/user/<str:username>/", api_user),
    path("static/", include("tmessage.views.static")),
    path("django-admin/", admin.site.urls)
]
